LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XVclContainerListener Interface Referencepublished

makes it possible to receive container events. More...

`import"XVclContainerListener.idl";`

Inheritance diagram for XVclContainerListener:

## Public Member Functions
void | windowAdded ([in] com::sun::star::awt::VclContainerEvent e)
| is invoked when a window has been added to the VCL container window. More...
void | windowRemoved ([in] com::sun::star::awt::VclContainerEvent e)
| is invoked when a window has been removed from the VCL container window. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive container events.

Container events are provided only for notification purposes. The VCL will automatically handle add and remove operations internally.

Deprecated:

## Member Function Documentation

## ◆ windowAdded()

void windowAdded | ( | [in] com::sun::star::awt::VclContainerEvent | e | ) |

is invoked when a window has been added to the VCL container window.

## ◆ windowRemoved()

void windowRemoved | ( | [in] com::sun::star::awt::VclContainerEvent | e | ) |

is invoked when a window has been removed from the VCL container window.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XVclContainerListener.idl